Campatibility with lightwieght Web server

HI, Good Morning,
Can any one tell me that does Vaadin compatible with lightweight web server? Thank you-_-

Vaadin requires a Java Servlet Container (which supports servlet API version 2.3 or later), not just a web server.

See e.g.
this wiki page
and
a list of servlet containers
. Jetty is small if that matters for you.

For some easy (and free up to a limit) hosting services, see my post in
this thread
.

Thank you, Henri.